# pragma once
#include <gtk/gtk.h> 
#include "CP_core_IPS.h"

// define default color scheme macros
#define VACANT  {255,255,255}
#define OCCUPIED   {0,0,0}


// structure to hold the color scheme
struct Color
    {
    // machine state view
    int vacant[3];          
    int occupied[3];
    };

typedef struct Color ColorMap;


// Declare PUT PIXEL function to access individual pixel data on a Pixel Buffer. Implemented at the end of document.
void put_pixel(GdkPixbuf *pixbuf, int x, int y, guchar red, guchar green, guchar blue, guchar alpha);

void paint_a_background (gpointer data);

void paint_lattice (gpointer data, IPSmodel *s);